API

YouTube API

The AI-powered YouTube provides 360° Global Media Data & Intelligence on YouTube creators, video producers, brand marketers, and content distributors.

API 참조 버전: 1.0.0 15 엔드포인트 인증
YouTube Monitor

기본 URL

https://pressmonitor.com/api

인증

모든 요청에는 x-api-key 및 x-subscription-id 헤더가 필요합니다. x-api-key는 계정을 인증하고 x-subscription-id는 구독한 서비스를 선택합니다.

x-api-key: YOUR_API_KEY
x-subscription-id: YOUR_SUB_ID
GET /youtube_media_suggestions

YouTube Médias Suggestions

매개변수

이름 유형 위치 필수 설명
keyword string query 아니요 Keyword

코드 예제

curl -X GET \
  "https://pressmonitor.com/api/youtube_media_suggestions?keyword=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

응답

200 Success
GET /youtube_media_details

YouTube Médias Détails

매개변수

이름 유형 위치 필수 설명
videoId string query 아니요 YouTube video ID

코드 예제

curl -X GET \
  "https://pressmonitor.com/api/youtube_media_details?videoId=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

응답

200 Success
GET /youtube_media_subtitles

YouTube Médias Sous-titres

매개변수

이름 유형 위치 필수 설명
videoId string query 아니요 YouTube video ID
subtitleUrl string query 아니요 Subtitle URL

코드 예제

curl -X GET \
  "https://pressmonitor.com/api/youtube_media_subtitles?videoId=VALUE&subtitleUrl=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

응답

200 Success
GET /youtube_media_comments

YouTube Médias Commentaires

매개변수

이름 유형 위치 필수 설명
videoId string query 아니요 YouTube video ID
limit integer query 아니요 Number of results
page string query 아니요 Page number

코드 예제

curl -X GET \
  "https://pressmonitor.com/api/youtube_media_comments?videoId=VALUE&limit=VALUE&page=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

응답

200 Success
GET /youtube_media_channel

YouTube Médias Chaîne

매개변수

이름 유형 위치 필수 설명
channelId string query 아니요 YouTube channel ID

코드 예제

curl -X GET \
  "https://pressmonitor.com/api/youtube_media_channel?channelId=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

응답

200 Success
GET /youtube_media_channel_videos

YouTube Médias Chaîne Vidéos

매개변수

이름 유형 위치 필수 설명
channelId string query 아니요 YouTube channel ID
limit integer query 아니요 Number of results
page string query 아니요 Page number
type string query 아니요 Type (videos, shorts, live; or playlists, releases, podcasts)

코드 예제

curl -X GET \
  "https://pressmonitor.com/api/youtube_media_channel_videos?channelId=VALUE&limit=VALUE&page=VALUE&type=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

응답

200 Success
GET /youtube_transcript

YouTube Transcription

매개변수

이름 유형 위치 필수 설명
videoId string query 아니요 YouTube video ID

코드 예제

curl -X GET \
  "https://pressmonitor.com/api/youtube_transcript?videoId=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

응답

200 Success
GET /youtube_download

YouTube Téléchargement

매개변수

이름 유형 위치 필수 설명
videoId string query 아니요 YouTube video ID
kind string query 아니요 Kind (video or audio)

코드 예제

curl -X GET \
  "https://pressmonitor.com/api/youtube_download?videoId=VALUE&kind=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

응답

200 Success
GET /youtube_media_search_channels

YouTube Médias Recherche Chaînes

매개변수

이름 유형 위치 필수 설명
keyword string query 아니요 Keyword
limit integer query 아니요 Number of results
page string query 아니요 Page number

코드 예제

curl -X GET \
  "https://pressmonitor.com/api/youtube_media_search_channels?keyword=VALUE&limit=VALUE&page=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

응답

200 Success
GET /youtube_media_search_playlists

YouTube Médias Recherche Playlists

매개변수

이름 유형 위치 필수 설명
keyword string query 아니요 Keyword
limit integer query 아니요 Number of results
page string query 아니요 Page number

코드 예제

curl -X GET \
  "https://pressmonitor.com/api/youtube_media_search_playlists?keyword=VALUE&limit=VALUE&page=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

응답

200 Success
GET /youtube_media_channel_playlists

YouTube Médias Chaîne Playlists

매개변수

이름 유형 위치 필수 설명
channelId string query 아니요 YouTube channel ID
limit integer query 아니요 Number of results
page string query 아니요 Page number
type string query 아니요 Type (videos, shorts, live; or playlists, releases, podcasts)

코드 예제

curl -X GET \
  "https://pressmonitor.com/api/youtube_media_channel_playlists?channelId=VALUE&limit=VALUE&page=VALUE&type=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

응답

200 Success
GET /youtube_media_playlist_details

YouTube Médias Playlist Détails

매개변수

이름 유형 위치 필수 설명
playlistId string query 아니요 YouTube playlist ID

코드 예제

curl -X GET \
  "https://pressmonitor.com/api/youtube_media_playlist_details?playlistId=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

응답

200 Success
GET /youtube_media_playlist_videos

YouTube Médias Playlist Vidéos

매개변수

이름 유형 위치 필수 설명
playlistId string query 아니요 YouTube playlist ID
limit integer query 아니요 Number of results
page string query 아니요 Page number

코드 예제

curl -X GET \
  "https://pressmonitor.com/api/youtube_media_playlist_videos?playlistId=VALUE&limit=VALUE&page=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

응답

200 Success